> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://ixopay.ferndocs.com/developer-hub/api-reference/transaction-api/schedule/continue-schedule/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ixopay.ferndocs.com/_mcp/server. # Continue a paused schedule POST https://gateway.ixopay.com/api/v3/schedule/{apiKey}/{scheduleId}/continue Content-Type: application/json Requires the registrationId of an existing transaction of type Register, Debit-with-register, or Preauthorize-with-register. Reference: https://ixopay.ferndocs.com/developer-hub/api-reference/transaction-api/schedule/continue-schedule ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `apiKey` (string, required) — API Key of Connector - `scheduleId` (string, required) — ID of the schedule ### Body (application/json) This endpoint expects a ContinueSchedule. - `continueDateTime` (string, required) ## Response ### 200 Schedule response - `success` (boolean, optional) - `scheduleId` (string, optional) - `registrationId` (string, optional) - `oldStatus` (enum, optional) - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING` - `newStatus` (enum, optional) - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING` - `scheduledAt` (string, optional) - `merchantMetaData` (string, optional) ## Examples ### success **Response** ```json { "success": true, "scheduleId": "SC-1234-1234-1234-1234-1234-1234", "oldStatus": "PAUSED", "newStatus": "ACTIVE", "scheduledAt": "2019-10-05T14:26:11+00:00" } ``` **SDK Code** ```python success import requests url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" response = requests.post(url, auth=("", "")) print(response.json()) ``` ```javascript success const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue'; const credentials = btoa(":"); const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" req, _ := http.NewRequest("POST", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby success require 'uri' require 'net/http' url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") .basicAuth("", "") .asString(); ``` ```php success request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp success using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); IRestResponse response = client.Execute(request); ``` ```swift success import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = ["Authorization": "Basic \(credentials)"] let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### error **Response** ```json { "success": false, "scheduleId": "SC-1234-1234-1234-1234-1234-1234", "oldStatus": "ACTIVE", "newStatus": "ACTIVE" } ``` **SDK Code** ```python error import requests url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" response = requests.post(url, auth=("", "")) print(response.json()) ``` ```javascript error const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue'; const credentials = btoa(":"); const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go error package main import ( "fmt" "net/http" "io" ) func main() { url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" req, _ := http.NewRequest("POST", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby error require 'uri' require 'net/http' url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java error import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") .basicAuth("", "") .asString(); ``` ```php error request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp error using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); IRestResponse response = client.Execute(request); ``` ```swift error import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = ["Authorization": "Basic \(credentials)"] let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### schedule_continueSchedule_example **Request** ```json { "continueDateTime": "2019-09-30T01:00:00+00:00" } ``` **Response** ```json { "success": true, "scheduleId": "SC-1234-1234-1234-1234-1234-1234", "oldStatus": "PAUSED", "newStatus": "ACTIVE", "scheduledAt": "2019-10-05T14:26:11+00:00" } ``` **SDK Code** ```python schedule_continueSchedule_example import requests url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" payload = { "continueDateTime": "2019-09-30T01:00:00+00:00" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript schedule_continueSchedule_example const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue'; const credentials = btoa(":"); const options = { method: 'POST', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json' }, body: '{"continueDateTime":"2019-09-30T01:00:00+00:00"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go schedule_continueSchedule_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue" payload := strings.NewReader("{\n \"continueDateTime\": \"2019-09-30T01:00:00+00:00\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby schedule_continueSchedule_example require 'uri' require 'net/http' url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"continueDateTime\": \"2019-09-30T01:00:00+00:00\"\n}" response = http.request(request) puts response.read_body ``` ```java schedule_continueSchedule_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"continueDateTime\": \"2019-09-30T01:00:00+00:00\"\n}") .asString(); ``` ```php schedule_continueSchedule_example request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue', [ 'body' => '{ "continueDateTime": "2019-09-30T01:00:00+00:00" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp schedule_continueSchedule_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"continueDateTime\": \"2019-09-30T01:00:00+00:00\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift schedule_continueSchedule_example import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = ["continueDateTime": "2019-09-30T01:00:00+00:00"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/scheduleId/continue")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```